Bug 1297855 - coccinelle-1.0.4-2 build failure on ppc64le
Summary: coccinelle-1.0.4-2 build failure on ppc64le
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: coccinelle
Version: rawhide
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-01-12 16:05 UTC by Ngo Than
Modified: 2016-01-14 11:58 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-01-14 11:58:33 UTC


Attachments (Terms of Use)

Description Ngo Than 2016-01-12 16:05:04 UTC
Description of problem:

+ /builddir/build/BUILDROOT/coccinelle-1.0.4-2.fc24.ppc64le/usr/bin/spatch -sp_file demos/simple.cocci demos/simple.c
init_defs_builtins: /builddir/build/BUILDROOT/coccinelle-1.0.4-2.fc24.ppc64le/usr/lib64/coccinelle/standard.h
Fatal error: exception Failure("dump: impossible tag (1002)")
error: Bad exit status from /var/tmp/rpm-tmp.PSxACl (%check)

Version-Release number of selected component (if applicable):
coccinelle-1.0.4-2

How reproducible:
always

Steps to Reproduce:
ppc-koji build --scratch f24 ppc-koji build --scratch f24 coccinelle-1.0.4-2.fc24.src.rpm

Actual results:
http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/345/3060345/build.log

Expected results:
it should build fine

Comment 1 Richard W.M. Jones 2016-01-13 13:48:54 UTC
I sent an email about this to the upstream mailing list:

https://systeme.lip6.fr/pipermail/cocci/2016-January/002742.html

Comment 2 Richard W.M. Jones 2016-01-14 10:31:31 UTC
Upstream supplied a patch which either fixes or works around
the problem.  I have applied it to coccinelle-1.0.4-3.fc24 so
please try that version.

Comment 3 Ngo Than 2016-01-14 11:26:33 UTC
i'm testing it and will let you know the results soon. Thanks

Comment 4 Ngo Than 2016-01-14 11:58:33 UTC
i confirm that the patch fixes the build failure on ppc64le.
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3064507


Note You need to log in before you can comment on or make changes to this bug.